export interface ProposalPostType {
  id: number
  created: number
  createdAt: Moment
  updatedAt: Moment
  version: number
  text: string
  proposalId: number
  update: (any) => {}
  setProposal: (number) => {}
}

export interface CouncilType {
  round: number
  last: string
  update: (any) => {}
  addProposal: (number) => {}
}

export interface CommitmentType {
  vote?: string
  stake: number
  memberId: number
  update: (any) => {}
  setCouncil: (number) => {}
}

export interface ChannelType {
  id: number
  handle: string
  title: string
  description: string
  avatar: string
  banner: string
  content: string
  ownerId: number
  accountId: string
  publicationStatus: boolean
  curation: string
  createdAt: string
  principal: number
}

export interface CategoryType {
  id: number
  threadId: number
  title: string
  description: string
  createdAt: number
  deleted: boolean
  archived: boolean
  subcategories: number
  unmoderatedThreads: number
  moderatedThreads: number
  position: number
  moderatorId: string
  setModeration: (number) => {}
}

export interface PostType {
  id: number
  text: string
  threadId: number
  authorId: string
  createdAt: { block: number; time: number }
  setModeration: (number) => {}
}
w
export interface ThreadType {
  id: number
  title: string
  categoryId: number
  nrInCategory: number
  moderation: string
  createdAt: string
  authorId: string
}

export interface MemberType {
  account: string
  handle: string
  id: number
  registeredAt: number
  about: string
  addPost: any
  update: (any) => {}
}

export interface ModerationType {
  created: number
  createdAt: Moment
  rationale: string
}
